#!/bin/bash

# Afficher les totaux négatif/positifs des comptes ayant adhérés l'année A
# Avec A variant

# Si --no-club est fourni, ne comptabilise pas les clubs
# Si --club est fourni, ne comptabilise que les clubs

# Pour greper la ligne contenant le résultat
# Non utilisé dans cette version
result_regex='^\s*-?\d*\.\d*\s*$'

if [[ "$1" = "--no-club" ]]
then
    echo "Ne prendra pas en compte les clubs."
    cond=" AND NOT type = 'club'"
fi
if [[ "$1" = "--club" ]]
then
    echo "Ne prendra en compte que les clubs."
    cond=" AND type = 'club'"
fi

for i in 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 2015 2016
do
  echo "En $i :"
  psql note -c "SELECT sum(solde) FROM comptes c, adhesions a WHERE c.idbde = a.idbde AND a.annee = $i AND solde < 0${cond};" | grep -v ligne | grep -E '[0-9]'
  psql note -c "SELECT sum(solde) FROM comptes c, adhesions a WHERE c.idbde = a.idbde AND a.annee = $i AND solde > 0${cond};" | grep -v ligne | grep -E '[0-9]'
done
